header {
    height: 80px;
}
#login-block, #pre-block, #edit-block {
    overflow: hidden;
    width: 373px;
    margin: auto;
    margin-top: 150px;
    padding-bottom: 50px;
    text-align: center;
    background: #FFFFFF;
    border-radius: 5px;
    box-shadow: 0 0 5px #DDD;
}
#pre-block, #edit-block {
    width: 570px;
    margin-top: 50px;
}
#edit-block {
    width: 900px;
    text-align: left;
    margin-bottom: 50px;
}
#edit-block-inside {
    width: 728px;
    margin: auto;
}
#pre-block table, #edit-block table {
    margin: auto;
    width: 450px;
    text-align: left;
    /* background: #EEE; */
}
.edit-select-block, .edit-select-block-noborder {
    width: 676px;
    padding: 10px 20px;
    margin: auto;
    margin-top: 15px;
    border: 1px solid #CCC;
    border-radius: 5px;
}
.edit-select-block-noborder {
    width: 678px;
    border: none;
}
#edit-block table {
    width: 678px;
}
#edit-block table td:nth-child(1) {
    width: 250px;
    text-align: center;
}
#pre-block img, #edit-block img {
    width: 140px;
    height: 140px;
    border-radius: 5px;
}
#edit-block img {
    width: 200px;
    height: 200px;
}
#pre-block table td:nth-child(odd) {
    text-align: right;
}
#login-title, #pre-title, #edit-title {
    background: #2574A9;
    line-height: 60px;
    text-align: center
}
#login-enter, #pre-check, #pre-enter, #edit-platform-create, .edit-block-edit-create, #pre-save, #edit-file-upload {
    display: inline-block;
    margin: auto;
    padding: 5px 10px;
    width: 200px;
    text-align: center;
    background: #2574A9;
    border: 1px solid #2574A9;
    border-radius: 5px;
    transition: background 0.5s, color 0.5s;
}
#pre-check, #pre-enter, #edit-platform-create, .edit-block-edit-create, #pre-save {
    width: 120px;
    margin: 0 5px;
}
#edit-file-upload {
    font-size: 10pt;
    width: 70px;
    margin-left: 10px;
}
#edit-platform-create, #pre-save {
    display: block;
    margin: auto;
}
.edit-block-edit-create {
    margin-left: 30px;
    padding: 7px 10px;
    width: 60px;
}
#pre-enter {
    border-color: #2CA925;
    background: #2CA925;
}
#login-enter:hover, #pre-check:hover, #pre-enter:hover, #edit-platform-create:hover, .edit-block-edit-create:hover, #pre-save:hover, #edit-file-upload:hover {
    cursor: pointer;
    color: #2574A9;
    background: #FFF;
}
#pre-enter:hover {
    color: #2CA925;
}
.pre-select, .edit-select {
    display: inline-block;
}
.pre-select select, .edit-select select, textarea {
    width: 222px;
    border: 1px solid #CCC;
    font-size: 12pt;
    padding: 5px 10px;
    line-height: 30px;
    border-radius: 5px;
}
.edit-select select {
    width: 230px;
    margin: 15px 5px 0 5px;
}
input[type="text"],
input[type="password"] {
    width: 200px;
}
input[type="text"] {
    margin: 0;
}
input[type='checkbox'] {
    margin-right: 5px;
}
textarea {
    resize: none;
    margin: 10px 0;
    font-family: 'noto sans tc';
    color: #606060;
    width: 400px;
}
#edit-block ul, #edit-block li {
    display: inline-block;
    width: auto;
    margin: 5px 10px 5px 0;
    padding: 0;
}
.table-top {
    vertical-align: top;
}
hr {
    width: 90%;
    height: 1px;
    background: #2574A9;
    border: 0;
    margin: 50px auto;
}
.edit-table-title, .edit-small-title {
    padding: 10px 0;
    margin-bottom: 20px;
    text-align: center;
    color: #2574A9;
    background: #EEE;
}
#edit-left {
    float: left;
    width: 49%;
}
#edit-right {
    float: right;
    width: 49%;
}
#edit-left td:nth-child(odd), #edit-right td:nth-child(odd) {
    width: 40%;
    text-align: right! important;
}

#edit-left table, #edit-right table {
    width: 100%;
}
#edit-left input[type="text"], #edit-right input[type="text"] {
    width: 150px;
}
.edit-platform-new, .edit-platform-platform, .edit-platform-url {
    display: inline-block;
}
.edit-platform-new {
    width: 150px;
}
.edit-platform-platform {
    width: 160px;
}
.edit-platform-url {
    width: 410px;
}
.edit-platform-url input[type="text"] {
    margin-left: 5px;
    width: 290px;
}
.edit-block-edit {
    margin-bottom: 15px;
}
.edit-block-edit input[type="text"] {
    width: 120px;
}
.edit-block-edit input[type="text"]:nth-child(even) {
    margin: 0 10px;
}
.edit-block-edit input[type="text"]:nth-child(odd) {
    width: 70px;
}
#edit-popup-bg, #edit-popup {
    display: none;
    position: absolute;
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    background: rgba(0, 0, 0, 0.5);
}
#edit-popup {
    font-size: 12pt;
    top: 200px;
    width: 500px;
    height: auto;
    margin: auto;
    right: 0;
    left: 0;
    padding: 50px;
    text-align: center;
    background: #FFF;
    border: 1px solid #CCC;
    border-radius: 5px;
    box-shadow: 0 5px 5px #555;
    animation: editPop .25s forwards;
}
#edit-popup input[type="text"] {
    margin-top: 10px;
    width: 208px;
}
@keyframes editPop {
    from {
        transform: scale(0, 0);
    }
    to {
        transform: scale(1, 1);
    }
}
input[type="file"] {
    font-size: 12pt;
    width: 250px;
    padding-bottom: 5px;
    border-bottom: 1px solid #CCC;
}